Loading...
Searching...
No Matches
BALL::Pair6_12InteractionEnergyProcessor::Option Struct Reference

`#include <BALL/SOLVATION/pair6_12InteractionEnergyProcessor.h>`

## Static Public Attributes

static const char * | VERBOSITY
static const char * | USE_RDF
static const char * | RDF_FILENAME
static const char * | SOLVENT_FILENAME
static const char * | LJ_FILENAME
static const char * | SOLVENT_NUMBER_DENSITY
static const char * | SURFACE_TYPE
static const char * | SURFACE_FILENAME

## Detailed Description

Symbolic names for option keys. This struct contains a symbolic name for each recognized key in Pair6_12InteractionEnergyProcessor::options.

Definition at line 67 of file pair6_12InteractionEnergyProcessor.h.

## Member Data Documentation

## LJ_FILENAME

const char* BALL::Pair6_12InteractionEnergyProcessor::Option::LJ_FILENAME

static

Lennard Jones parameter file option. This option sets the name of the file containig the Lennard-Jones parameters. Use char* values with this option.

See also
  Default::LJ_FILENAME;

Parameters

  lennard_jones_file_name | char*

Definition at line 107 of file pair6_12InteractionEnergyProcessor.h.

## RDF_FILENAME

const char* BALL::Pair6_12InteractionEnergyProcessor::Option::RDF_FILENAME

static

RDF file option. This options sets the name of the file containing the RDF information. Use char* values with this option.

See also
  Default::RDF_FILENAME

Parameters

  rdf_file_name | char*

Definition at line 91 of file pair6_12InteractionEnergyProcessor.h.

## SOLVENT_FILENAME

const char* BALL::Pair6_12InteractionEnergyProcessor::Option::SOLVENT_FILENAME

static

Solvent description file option. This option sets the name of the file containig the solvent description. Use char* values with this option.

See also
  Default::SOLVENT_FILENAME;

Parameters

  solvent_file_name | char*

Definition at line 99 of file pair6_12InteractionEnergyProcessor.h.

## SOLVENT_NUMBER_DENSITY

const char* BALL::Pair6_12InteractionEnergyProcessor::Option::SOLVENT_NUMBER_DENSITY

static

The number density of the solvent. This option defines the number density of the surrounding solvent. Use float values of unit $ A^{-3} $ with this option.

See also
  Default::SOLVENT_NUMBER_DENSITY

Parameters

  solvent_number_density | float

Definition at line 115 of file pair6_12InteractionEnergyProcessor.h.

## SURFACE_FILENAME

const char* BALL::Pair6_12InteractionEnergyProcessor::Option::SURFACE_FILENAME

static

The name of the file containing a surface definition.

See also
  Default::SURFACE_FILENAME

Parameters

  surface_filename | char*

Definition at line 127 of file pair6_12InteractionEnergyProcessor.h.

## SURFACE_TYPE

const char* BALL::Pair6_12InteractionEnergyProcessor::Option::SURFACE_TYPE

static

The type of surface to be used.

See also
  Default::SURFACE_TYPE

Parameters

  surface_type | int the type of the surface

Definition at line 121 of file pair6_12InteractionEnergyProcessor.h.

## USE_RDF

const char* BALL::Pair6_12InteractionEnergyProcessor::Option::USE_RDF

static

RDF option. This option states whether the RDF should be considered during the integrtion or not. Use bool values with this option.

See also
  Default::USE_RDF

Parameters

  verbosity | integer

Definition at line 83 of file pair6_12InteractionEnergyProcessor.h.

## VERBOSITY

const char* BALL::Pair6_12InteractionEnergyProcessor::Option::VERBOSITY

static

The verbosity level. Use integer values with this option.

See also
  Default::VERBOSITY

Parameters

  verbosity | integer

Definition at line 75 of file pair6_12InteractionEnergyProcessor.h.